Next: 4.4.3 Map frame and Up: 4.4 Standardized command line Previous: 4.4.1 Data Domain or Contents Index

## 4.4.2 Coordinate Transformations and Map Projections: The -J option

Figure 4.5: The 29 map projections and coordinate transformations available in GMT.

This option selects the coordinate transformation or map projection. The general format is

- -J[parameters/]scale. Here, is a lower-case letter of the alphabet that selects a particular map projection, the parameters is zero or more slash-delimited projection parameter, and scale is map scale given in distance units per degree or as 1:xxxxx.
- -J[parameters/]width. Here, is an upper-case letter of the alphabet that selects a particular map projection, the parameters is zero or more slash-delimited projection parameter, and width is map width (map height is automatically computed from the implied map scale and region).

The projections avaiable in GMT are presented in Figure 4.5. For details on all GMT projections and the required parameters, see the psbasemap man page. We will also show examples of every projection in the next Chapters, and a quick summary of projection syntax was given in Chapter 3.

Next: 4.4.3 Map frame and Up: 4.4 Standardized command line Previous: 4.4.1 Data Domain or Contents Index